View Issue Details

IDProjectCategoryView StatusLast Update
0027800LazarusIDEpublic2018-08-24 09:51
ReporterVojtech Cihak Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformamd64OSLinux 
Product Version1.5 (SVN) 
Target Version1.10Fixed in Version1.10 
Summary0027800: [Request] Auto-close Assembler when project stopped
DescriptionIt would be nice to have some option (checkbox in Options) to auto-close Assembler window when project is stopped.

When project is stopped, Assembler widnow become useless; it is full of

00000000 ????????
00000000 ????????
00000000 ????????
00000000 ????????
Additional InformationLazarus 1.5 r48562M FPC 3.1.1 x86_64-linux-qt
TagsNo tags attached.
Fixed in Revision58522
LazTarget1.10
Widgetset
Attached Files

Relationships

related to 0034175 closedMartin Friebe "Show execution point" doesn't works anymore 

Activities

Martin Friebe

2015-04-07 12:48

manager   ~0082689

If an option was added to prevent it from auto-open, would it still need to be auto closed?

Vojtech Cihak

2015-04-07 14:28

reporter   ~0082693

For me, Assembler window itself is useful, closing it is annoying.

While others on ML wanted to prevent it from opening.

Would it be posisible to have both options? :)

Martin Friebe

2015-04-07 14:45

manager   ~0082694

I guess yes.

Though auto-closing an asm window that was explicitly opened by the user, will only be a workaround for (and until becomes available) desktop profiles.

desktop profiles = Store different location and visibility states for *all* windows, depending on debug, none, debug, and other (including user selection)

Also about: "not usable after debug". If you hit the "power" button, and set it to off, the content off the window should remain. (That does not interfere with the request.)

Aradeonas

2015-04-13 19:06

reporter   ~0082886

I think it's auto open system should enabled by default but can disable it.
Also as Vojtech said it need to close after project stops but also can disable it.

Kevin Morris

2018-01-07 04:55

reporter   ~0105424

Can I just add that if the decision is to default open the ASM window, that the option to "Do not show Assembler" checkbox be at the bottom off the ASM window, so we don't have to go hunting for the option to shut off auto-open in the Tools /Options tree. (It shd be in the options tree also, but having it in the ASM window makes it easy to shut off permanently)

CudaText man

2018-01-07 10:04

reporter   ~0105430

%subj: it is good wish, +1.

Giovanni Seara

2018-03-24 15:12

reporter   ~0107392

Will this still be implemented? When?

Martin Friebe

2018-07-14 22:43

manager   ~0109463

In revision 58522 an auto close option is implemented that acts if (and only if) the asm window was auto-opened. That is: opened by breaking at a line without source.

If you opened it otherwise, it is assumed you may need it in the next debug session again.


Also as soon as you trigger either the menu for the window (even if it is already open) or the key combo, then the auto close flag will be cleared. (Those actions are interpreted, as you want to keep the window for the next session)

If you close the window, and it gets re-opened by a no-source-break, the flag is set again.

If the window is flagged as auto close-able, then it will close when either:
- the debugger stops
- a break at a source line is reached (breakpoint, stepping, ...)

If you run, and the app does not get paused, then it stays open until any of the above events happens. The debugger does not yet know if the next pause is at a none-source line, and the window might be needed again.

---
The option is disabled by default. (Tools > Options > Debugger)

---
Please test, and close if ok.

Vojtech Cihak

2018-07-15 01:47

reporter   ~0109478

Thanks. I tested and works as described: auto-closes only if auto-opened.

Issue History

Date Modified Username Field Change
2015-04-07 02:08 Vojtech Cihak New Issue
2015-04-07 02:25 Martin Friebe Assigned To => Martin Friebe
2015-04-07 02:25 Martin Friebe Status new => assigned
2015-04-07 12:48 Martin Friebe Note Added: 0082689
2015-04-07 14:28 Vojtech Cihak Note Added: 0082693
2015-04-07 14:45 Martin Friebe Note Added: 0082694
2015-04-13 19:06 Aradeonas Note Added: 0082886
2018-01-07 04:55 Kevin Morris Note Added: 0105424
2018-01-07 10:04 CudaText man Note Added: 0105430
2018-03-24 15:12 Giovanni Seara Note Added: 0107392
2018-07-14 22:43 Martin Friebe Fixed in Revision => 58522
2018-07-14 22:43 Martin Friebe LazTarget => 1.10
2018-07-14 22:43 Martin Friebe Note Added: 0109463
2018-07-14 22:43 Martin Friebe Status assigned => resolved
2018-07-14 22:43 Martin Friebe Fixed in Version => 1.10
2018-07-14 22:43 Martin Friebe Resolution open => fixed
2018-07-14 22:43 Martin Friebe Target Version => 1.10
2018-07-15 01:47 Vojtech Cihak Note Added: 0109478
2018-07-15 01:47 Vojtech Cihak Status resolved => closed
2018-08-24 09:51 Juha Manninen Relationship added related to 0034175